﻿Public Class frmTimer
    Private Zeit As Integer
    Private Ziehen As Boolean
    Private Sound As Boolean

#Region "Properties"
    Public WriteOnly Property SetZeit() As Integer
        Set(ByVal value As Integer)
            Zeit = value
        End Set
    End Property
    Public WriteOnly Property SetZiehen() As Boolean
        Set(value As Boolean)
            Ziehen = value
        End Set
    End Property
    Public WriteOnly Property SetSound() As Boolean
        Set(value As Boolean)
            Sound = value
        End Set
    End Property
#End Region

#Region "Form Load Event"
    Private Sub fTimer_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Immer im Vordergrund aus den Settings lesen
        Me.TopMost = My.Settings.Vordergrund
        'Position aus My Settings lesen
        Select Case My.Settings.Position
            Case "rechts unten"
                Me.Top = My.Computer.Screen.WorkingArea.Size.Height - Me.Height
                Me.Left = My.Computer.Screen.WorkingArea.Size.Width - Me.Width
            Case "rechts oben"
                Me.Top = 30
                Me.Left = My.Computer.Screen.WorkingArea.Size.Width - Me.Width
            Case "links unten"
                Me.Top = My.Computer.Screen.WorkingArea.Size.Height - Me.Height
                Me.Left = 0
            Case "links oben"
                Me.Top = 30
                Me.Left = 0
        End Select
        'Auslesen ob Tee zieht, oder Wasser abkühlt
        If Ziehen = True Then
            lblInfo.Text = "Tee zieht"
        Else
            lblInfo.Text = "Wasser kühlt ab"
        End If
        'umwandeln der Zeit in Sekunden in Minuten/Sekunden für Textboxen
        If Zeit >= 60 Then
            lblMinuten.Text = (Zeit \ 60).ToString("00")
            lblSekunden.Text = (Zeit Mod 60).ToString("00")
        Else
            lblSekunden.Text = Zeit.ToString("00")
        End If
        Tmrrunterzaehlen.Start()
    End Sub
#End Region

#Region "Button Click Events"
    'Abbruch Button
    Private Sub btnAbbruch_Click(sender As Object, e As EventArgs) Handles btnAbbruch.Click
        Tmrrunterzaehlen.Stop()
        Tmrhochzaehlen.Stop()
        Me.Close()
    End Sub
#End Region

#Region "Timer"
    'Timer runter Tick
    Private Sub Tmrrunterzaehlen_Tick(sender As Object, e As EventArgs) Handles Tmrrunterzaehlen.Tick
        'Zeit Sekundenweise runterzählen
        Zeit = Zeit - 1
        'restliche Zeit in Label anzeigen
        lblMinuten.Text = (Zeit \ 60).ToString("00")
        lblSekunden.Text = (Zeit Mod 60).ToString("00")
        If Zeit = 0 Then
            'wenn Zeit 0 ist, zweiten Timer (hochzählen) starten
            Tmrrunterzaehlen.Stop()
            Tmrhochzaehlen.Start()
            'Form grün färben
            Me.BackColor = Color.Green
            btnAbbruch.BackColor = Color.Green
            lblInfo.BackColor = Color.Green
            'Timerabschlusssub starten
            If Ziehen = False Then
                Timerfertig("Wasser bereit.", " Bitte Tee hinzugeben.")
            Else
                Timerfertig("Tee fertig")
            End If
        End If
    End Sub
    'Timer hoch Tick
    Private Sub Tmrhochzaehlen_Tick(sender As Object, e As EventArgs) Handles Tmrhochzaehlen.Tick
        lblSekunden.Text = (Integer.Parse(lblSekunden.Text) + 1).ToString("00")
        'prüfen und ggf Sound abspielen
        If Sound = True Then
            Dim c As System.IO.Stream = My.Resources.Sound
            Dim Play As New Media.SoundPlayer(c)
            If Integer.Parse(lblSekunden.Text) Mod 3 = 0 Then
                Play.Play()
            End If
        End If
    End Sub
    'Sub wenn Timer runter gezählt hat
    Private Sub Timerfertig(Meldung As String, Optional Meldung2 As String = Nothing)
        btnAbbruch.Text = Meldung
        If MessageBox.Show(Meldung & Meldung2, Meldung, MessageBoxButtons.OK,
                   MessageBoxIcon.Information) = Windows.Forms.DialogResult.OK Then
            Tmrhochzaehlen.Stop()
            Me.Close()
        End If
    End Sub
#End Region

End Class